# Draw
TKDCAF
DNaming

# DNaming Class Reference

`#include <DNaming.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT TopoDS_Shape | CurrentShape (const Standard_CString ShapeEntry, const Handle(TDF_Data)&Data)
static Standard_EXPORT void | GetShape (const Standard_CString ShapeEntry, const Handle(TDF_Data)&Data, TopTools_ListOfShape &Shapes)
static Standard_EXPORT TCollection_AsciiString | GetEntry (const TopoDS_Shape &Shape, const Handle(TDF_Data)&Data, Standard_Integer &Status)
static Standard_EXPORT void | LoadImportedShape (const TDF_Label &theResultLabel, const TopoDS_Shape &theShape)
| Loads the Shape to DF .
static Standard_EXPORT void | LoadPrime (const TDF_Label &theResultLabel, const TopoDS_Shape &theShape)
| Reloads sub-shapes of the Shape to DF .
static Standard_EXPORT void | AllCommands (Draw_Interpretor &DI)
static Standard_EXPORT void | BasicCommands (Draw_Interpretor &DI)
| commands relatives to NamedShape
static Standard_EXPORT void | ToolsCommands (Draw_Interpretor &DI)
static Standard_EXPORT void | SelectionCommands (Draw_Interpretor &DI)
| commands relatives to Naming

## Member Function Documentation

static Standard_EXPORT void DNaming::AllCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void DNaming::BasicCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT TopoDS_Shape DNaming::CurrentShape | ( | const Standard_CString | ShapeEntry,
|  | const Handle(TDF_Data)& | Data
| ) | `[static]`

static Standard_EXPORT TCollection_AsciiString DNaming::GetEntry | ( | const TopoDS_Shape & | Shape,
|  | const Handle(TDF_Data)& | Data,
|  | Standard_Integer & | Status
| ) | `[static]`

static Standard_EXPORT void DNaming::GetShape | ( | const Standard_CString | ShapeEntry,
|  | const Handle(TDF_Data)& | Data,
|  | TopTools_ListOfShape & | Shapes
| ) | `[static]`

static Standard_EXPORT void DNaming::LoadImportedShape | ( | const TDF_Label & | theResultLabel,
|  | const TopoDS_Shape & | theShape
| ) | `[static]`

static Standard_EXPORT void DNaming::LoadPrime | ( | const TDF_Label & | theResultLabel,
|  | const TopoDS_Shape & | theShape
| ) | `[static]`

void DNaming::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DNaming::operator new | ( | size_t | size | ) | `[inline]`

void* DNaming::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void DNaming::SelectionCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void DNaming::ToolsCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

The documentation for this class was generated from the following file:

- DNaming.hxx